► |  | The Racket Foreign Interface

1 | Overview
2 | Loading Foreign Libraries
3 | C Types
4 | Pointer Functions
5 | Derived Utilities
6 | Miscellaneous Support
7 | Unexported Primitive Functions
| Bibliography
| Index

▼ | 5 | Derived Utilities

5.1 | Safe Homogenous Vectors
5.2 | Safe C Vectors
5.3 | Tagged C Pointer Types
5.4 | Serializable C Struct Types
5.5 | Defining Bindings
5.6 | Allocation and Finalization
5.7 | Custodian Shutdown Registration
5.8 | Atomic Execution
5.9 | Speculatively Atomic Execution
5.10 | Process-Wide Registration
5.11 | Objective-C FFI
5.12 | Cocoa Foundation
5.13 | COM (Common Object Model)
5.14 | File Security-Guard Checks
5.15 | Windows API Helpers

On this page:

win64?
winapi

top ← prev up next →

#### 5.15`` Windows API Helpers

(require ffi/winapi) | package: base

> > value

> > win64? : boolean?

Indicates whether the current platform is 64-bit Windows: #t if so, #f otherwise.

> > value

> > winapi : (or/c 'stdcall 'default)

Suitable for use as an ABI specification for a Windows API function: 'stdcall on 32-bit Windows, 'default on 64-bit Windows or any other platform.
top ← prev up next →